PARAGUI_EVENTHANDLERDATA(3)

NAME
PARAGUI_EVENTHANDLERDATA - ParaGUI eventhandler data structure.

SYNOPSIS

#include <paragui_msgmap.h>

  Public Attributes
MSG_CALLBACK cbfunc
the function to call.
SDLMessageObject* calledobj
the object to call *.
void* data
pointer to userdata.

DETAILED DESCRIPTION

ParaGUI eventhandler data structure.

Definition at line 39 of file paragui_msgmap.h.

MEMBER DATA DOCUMENTATION

  SDLMessageObject * PARAGUI_EVENTHANDLERDATA::calledobj

the object to call *.

Definition at line 45 of file paragui_msgmap.h.

  MSG_CALLBACK PARAGUI_EVENTHANDLERDATA::cbfunc

the function to call.

Definition at line 42 of file paragui_msgmap.h.

  void * PARAGUI_EVENTHANDLERDATA::data

pointer to userdata.

Definition at line 48 of file paragui_msgmap.h.

AUTHOR

Generated automatically by Doxygen for ParaGUI from the source code.